Name: black-hole-solver
Version: 1.14.0
Release: 1
License: MIT
Group: Amusement/Games
Source: https://fc-solve.shlomifish.org/downloads/fc-solve/black-hole-solver-%{version}.tar.xz
URL: https://www.shlomifish.org/open-source/projects/black-hole-solitaire-solver/
Requires: libblack_hole_solver1 = %{version}
Summary: The Black Hole Solver Executable
BuildRequires: cmake
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Env::Path)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Inline)
BuildRequires: perl(Inline::C)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::RunValgrind)
BuildRequires: perl(Test::Some)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildRequires: python3
BuildRequires: valgrind

%description
This is a solver, written in C, to solve the Solitaire variant called “Black
Hole” and the one called “All in a Row”. It provides a portable C library, and
a command line application that after being fed with a layout will emit the
cards to move.

%package -n libblack_hole_solver1
Summary: The Black Hole Solitaire Solver dynamic libraries
Group: Amusement/Games

%description -n libblack_hole_solver1
Contains the Black Hole Solitaire libraries.

This package is mandatory for the Black Hole Solitaire executable too.

%package -n libblack_hole_solver1-devel
Summary: The Black Hole Solitaire development tools
Group: Amusement/Games
Requires: libblack_hole_solver1 = %{version}

%description -n libblack_hole_solver1-devel
Contains the Black Hole Solitaire development libraries.

You should install it if you are a game developer who would like to use
Black Hole Solitaire Solver from within your programs.

%prep
%setup

%build
%cmake -DLOCALE_INSTALL_DIR=%{_datadir}/locale -DLIB_INSTALL_DIR=%{_libdir}
%cmake_build

%check
unset FCS_TEST_BUILD
rm -f t/clang-format.t
%ctest

%install
rm -rf %buildroot
%cmake_install

%files -n libblack_hole_solver1
%{_libdir}/libblack_hole_solver.so*

%files
%defattr(-,root,root)
%{_bindir}/black-hole-solve
%{_mandir}/*/*
%doc README.md NEWS.asciidoc

%files -n libblack_hole_solver1-devel
%defattr(-,root,root)
/usr/include/black-hole-solver/*.h
%{_libdir}/pkgconfig/*.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb 10 2025 Shlomi Fish <shlomif@cpan.org> 1.12.0-1
- Trim the old, freecell-solver, changelog.
